# Bot config (Cryptohopper API)

The base config of a hopper and its config pools.

- [Get baseconfig](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/get-baseconfig.md): `GET /hopper/{id}/config`
- [Update baseconfig](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/update-baseconfig.md): `PATCH /hopper/{id}/config`
- [Get config pools](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/get-config-pools.md): `GET /hopper/{id}/config/pool`
- [Create a config pool](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/post-hopper-id-config-pool.md): `POST /hopper/{id}/config/pool`
- [Get config pool](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/get-config-pool.md): `GET /hopper/{id}/config/pool/{pool_id}`
- [Update config pool](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/patch-hopper-id-config-pool-pool-id.md): `PATCH /hopper/{id}/config/pool/{pool_id}`
- [Delete a config pool](https://www.cryptohopper.com/api-documentation/api-reference/bot-config/delete-config-pools.md): `DELETE /hopper/{id}/config/pool/{pool_id}`

